!表題  gtool_history Fortran 77 用インターフェース
!
!履歴  2000/12/26  竹広真一
!      2001/02/27  竹広真一  サブルーチン毎のファイルに分割
!
!  サブルーチン対応表
!     HistoryAddVariable           HSAVAR
!
subroutine hsavar(varname,idim,dims,longname,unit,xtype)

    use gtool_history
    character(len=*),intent(in) :: varname, longname, unit, xtype
    integer,intent(in)          :: idim
    character(len=*),dimension(idim),intent(in) :: dims


    call HistoryAddVariable(varname=varname, &
        & dims=dims, &
        & longname=longname, units=unit, xtype=xtype)

  end subroutine hsavar
